cordova-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] stevengill closed pull request #757: CB-13528 Cordova Android 6.4.0 release announcement
Date Thu, 01 Jan 1970 00:00:00 GMT
stevengill closed pull request #757: CB-13528 Cordova Android 6.4.0 release announcement
URL: https://github.com/apache/cordova-docs/pull/757
 
 
   

This is a PR merged from a forked repository.
As GitHub hides the original diff on merge, it is displayed below for
the sake of provenance:

As this is a foreign pull request (from a fork), the diff is supplied
below (as it won't show otherwise due to GitHub magic):

diff --git a/www/_posts/2017-11-09-android-release.md b/www/_posts/2017-11-09-android-release.md
new file mode 100644
index 000000000..d2cad7882
--- /dev/null
+++ b/www/_posts/2017-11-09-android-release.md
@@ -0,0 +1,35 @@
+---
+layout: post
+author:
+    name: Joe Bowser
+    url: https://twitter.com/infil00p
+title:  "Cordova Android 6.4.0 Released!"
+categories: announcements
+tags: news releases
+---
+
+We would like to announce that `Cordova Android 6.4.0` has been released! 
+
+
+Due to the recent changes **Google** made to Android Studio, Cordova Android now requires
that Gradle be installed as a dependency for Android development on all platforms. We will
be removing the code that uses Android Studio as a dependency in the near future. This release
now uses the latest Android Gradle plugin that was released with Android Studio 3.0.
+
+**Google** has changed the Gradle DSL used and currently support for the Crosswalk WebView
is broken in this version of Cordova as a result.  Unfortunately, since Crosswalk is no longer
supported by the Crosswalk Project, we do not know whether this issue will be fixed.  If you
require support for Crosswalk, we recommend that you continue using cordova-android 6.3.0
at this time and avoid using your project with Android Studio.
+
+
+To upgrade:
+
+    npm install -g cordova
+    cd my_project
+    cordova platform update android@6.4.0
+
+To add it explicitly:
+
+    cordova platform add android@6.4.0
+
+<!--more-->
+## What's new in Android
+* [CB-13289](https://issues.apache.org/jira/browse/CB-13289) Fixing build problems with Studio
Three, but keeping **Windows** Gradle fix for now, will be deprecated
+* [CB-13289](https://issues.apache.org/jira/browse/CB-13289) Fix test to work with new Google
**Android** Gradle DSL
+* [CB-13499](https://issues.apache.org/jira/browse/CB-13499) Remove duplicate "setting" in
error strings
+* [CB-13406](https://issues.apache.org/jira/browse/CB-13406) Fixed AVD API level comparison
when choosing sub-par API level match. Added tests for the best_image method.
+* [CB-13404](https://issues.apache.org/jira/browse/CB-13404) add **Android**-versions to
bundledDependencies. Ignore best emulator selection when parsed AVD information does not include
API level in the target
diff --git a/www/docs/en/dev/guide/platforms/android/index.md b/www/docs/en/dev/guide/platforms/android/index.md
index 0a773ae83..99688b243 100644
--- a/www/docs/en/dev/guide/platforms/android/index.md
+++ b/www/docs/en/dev/guide/platforms/android/index.md
@@ -43,7 +43,7 @@ few cordova-android releases can be found in this table:
 
 cordova-android Version | Supported Android API-Levels | Equivalent Android Version
 ------------------------|------------------------------|-----------------------------
-6.X.X                   | 16 - 25                      | 4.1 - 7.1.1
+6.X.X                   | 16 - 26                      | 4.1 - 8.0.0
 5.X.X                   | 14 - 23                      | 4.0 - 6.0.1
 4.1.X                   | 14 - 22                      | 4.0 - 5.1
 4.0.X                   | 10 - 22                      | 2.3.3 - 5.1
@@ -69,6 +69,12 @@ or later.
 When installing on Windows you also need to set `JAVA_HOME` Environment Variable
 according to your JDK installation path (see [Setting Environment Variables](#setting-environment-variables))
 
+### Gradle
+
+As of Cordova-Android 6.4.0, [Gradle](https://gradle.org/install/) is now required to be
installed to build Android.
+
+When installing on Windows, you need to add Gradle to your path, (see [Setting Environment
Variables](#setting-environment-variables))
+
 #### Android SDK
 
 Install [Android Studio][android_studio].


 

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@cordova.apache.org
For additional commands, e-mail: commits-help@cordova.apache.org


Mime
View raw message